Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357974 - Directory /usr/share/help is not owned by any package
Summary: Directory /usr/share/help is not owned by any package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1354210
TreeView+ depends on / blocked
 
Reported: 2016-07-19 17:39 UTC by Mario Blättermann
Modified: 2017-01-02 10:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-02 10:56:15 UTC


Attachments (Terms of Use)

Description Mario Blättermann 2016-07-19 17:39:02 UTC
Description of problem:
The directory /usr/share/help and all of its language-based subdirectories are not owned by *any* package.

Version-Release number of selected component (if applicable):
3.2-37.fc24

How reproducible:

$ rpm -qf /usr/share/help  
file /usr/share/help is not owned by any package

$ rpm -qf /usr/share/help/de
brasero-3.12.1-4.fc24.x86_64

The latter is an ownership by accidence (wrong file list in the package's spec file). Normally, the "de" directory doesn't have a regular owner.


I don't know if the "filesystem" package is the right place to provide ownerships for that. But it also owns the directories for the Gettext translations:

$ rpm -qf /usr/share/locale 
filesystem-3.2-37.fc24.x86_64

$ rpm -qf /usr/share/locale/de
filesystem-3.2-37.fc24.x86_64

Comment 1 Ondrej Vasik 2016-07-20 08:09:19 UTC
Sounds reasonable to me.


Note You need to log in before you can comment on or make changes to this bug.